Skip to content
Coritan Docs

Organization API: Org Cloud Compute

Every Organization API operation tagged Org Cloud Compute.

View as Markdown

Base URL: https://api.coritan.com/api/v1. Paths below are complete.

To try these requests in the browser, open the interactive Organization API reference.

Method Path Summary
GET /api/v1/orgs/{org_slug}/vps Org list instances
GET /api/v1/orgs/{org_slug}/vps/templates Org list templates
GET /api/v1/orgs/{org_slug}/vps/{uuid} Org get instance
GET /api/v1/orgs/{org_slug}/vps/{uuid}/backups Org list backups
POST /api/v1/orgs/{org_slug}/vps/{uuid}/backups Org create backup
DELETE /api/v1/orgs/{org_slug}/vps/{uuid}/backups/{backup_id} Org delete backup
POST /api/v1/orgs/{org_slug}/vps/{uuid}/backups/{backup_id}/restore Org restore backup
GET /api/v1/orgs/{org_slug}/vps/{uuid}/bandwidth Org bandwidth
POST /api/v1/orgs/{org_slug}/vps/{uuid}/cloud-init/regenerate Org regenerate cloud init
GET /api/v1/orgs/{org_slug}/vps/{uuid}/config Org config
GET /api/v1/orgs/{org_slug}/vps/{uuid}/console Org console
GET /api/v1/orgs/{org_slug}/vps/{uuid}/graphs Org graphs
GET /api/v1/orgs/{org_slug}/vps/{uuid}/guest Org guest
PATCH /api/v1/orgs/{org_slug}/vps/{uuid}/hostname Org hostname
GET /api/v1/orgs/{org_slug}/vps/{uuid}/ips Org IPs
POST /api/v1/orgs/{org_slug}/vps/{uuid}/power Org power
POST /api/v1/orgs/{org_slug}/vps/{uuid}/rebuild Org rebuild
POST /api/v1/orgs/{org_slug}/vps/{uuid}/rescue/enter Org rescue enter
POST /api/v1/orgs/{org_slug}/vps/{uuid}/rescue/exit Org rescue exit
GET /api/v1/orgs/{org_slug}/vps/{uuid}/rescue/media Org rescue media
POST /api/v1/orgs/{org_slug}/vps/{uuid}/reset-password Org reset password
GET /api/v1/orgs/{org_slug}/vps/{uuid}/snapshots Org list snapshots
POST /api/v1/orgs/{org_slug}/vps/{uuid}/snapshots Org create snapshot
DELETE /api/v1/orgs/{org_slug}/vps/{uuid}/snapshots/{snapshot_id} Org delete snapshot
POST /api/v1/orgs/{org_slug}/vps/{uuid}/snapshots/{snapshot_id}/rollback Org rollback snapshot
PUT /api/v1/orgs/{org_slug}/vps/{uuid}/ssh-keys Org SSH keys
GET /api/v1/orgs/{org_slug}/vps/{uuid}/status Org status

GET /api/v1/orgs/{org_slug}/vps

Name In Type Required
org_slug path string yes
Status Meaning
200 Success.
422 The request is not valid. detail lists each problem.

GET /api/v1/orgs/{org_slug}/vps/templates

Name In Type Required
org_slug path string yes
Status Meaning
200 Success.
422 The request is not valid. detail lists each problem.

GET /api/v1/orgs/{org_slug}/vps/{uuid}

Name In Type Required
uuid path string yes
org_slug path string yes
Status Meaning
200 Success.
422 The request is not valid. detail lists each problem.

GET /api/v1/orgs/{org_slug}/vps/{uuid}/backups

Name In Type Required
uuid path string yes
org_slug path string yes
Status Meaning
200 Success.
422 The request is not valid. detail lists each problem.

POST /api/v1/orgs/{org_slug}/vps/{uuid}/backups

Name In Type Required
uuid path string yes
org_slug path string yes

application/json

Field Type Required
note string or null no
mode string no
compress string no
Status Meaning
200 Success.
422 The request is not valid. detail lists each problem.

DELETE /api/v1/orgs/{org_slug}/vps/{uuid}/backups/{backup_id}

Name In Type Required
uuid path string yes
backup_id path integer yes
org_slug path string yes
Status Meaning
200 Success.
422 The request is not valid. detail lists each problem.

POST /api/v1/orgs/{org_slug}/vps/{uuid}/backups/{backup_id}/restore

Name In Type Required
uuid path string yes
backup_id path integer yes
org_slug path string yes
Status Meaning
200 Success.
422 The request is not valid. detail lists each problem.

GET /api/v1/orgs/{org_slug}/vps/{uuid}/bandwidth

Name In Type Required
uuid path string yes
org_slug path string yes
Status Meaning
200 Success.
422 The request is not valid. detail lists each problem.

POST /api/v1/orgs/{org_slug}/vps/{uuid}/cloud-init/regenerate

Name In Type Required
uuid path string yes
org_slug path string yes
Status Meaning
200 Success.
422 The request is not valid. detail lists each problem.

GET /api/v1/orgs/{org_slug}/vps/{uuid}/config

Name In Type Required
uuid path string yes
org_slug path string yes
Status Meaning
200 Success.
422 The request is not valid. detail lists each problem.

GET /api/v1/orgs/{org_slug}/vps/{uuid}/console

Name In Type Required
uuid path string yes
org_slug path string yes
Status Meaning
200 Success.
422 The request is not valid. detail lists each problem.

GET /api/v1/orgs/{org_slug}/vps/{uuid}/graphs

Name In Type Required Description
uuid path string yes
org_slug path string yes
timeframe query string no Default: hour.
Status Meaning
200 Success.
422 The request is not valid. detail lists each problem.

GET /api/v1/orgs/{org_slug}/vps/{uuid}/guest

Name In Type Required
uuid path string yes
org_slug path string yes
Status Meaning
200 Success.
422 The request is not valid. detail lists each problem.

PATCH /api/v1/orgs/{org_slug}/vps/{uuid}/hostname

Name In Type Required
uuid path string yes
org_slug path string yes

application/json (required)

Field Type Required
hostname string yes
reboot boolean no
Status Meaning
200 Success.
422 The request is not valid. detail lists each problem.

GET /api/v1/orgs/{org_slug}/vps/{uuid}/ips

Name In Type Required
uuid path string yes
org_slug path string yes
Status Meaning
200 Success.
422 The request is not valid. detail lists each problem.

POST /api/v1/orgs/{org_slug}/vps/{uuid}/power

Name In Type Required
uuid path string yes
org_slug path string yes

application/json (required)

Field Type Required
action string yes
Status Meaning
200 Success.
422 The request is not valid. detail lists each problem.

POST /api/v1/orgs/{org_slug}/vps/{uuid}/rebuild

Name In Type Required
uuid path string yes
org_slug path string yes

application/json (required)

Field Type Required
template_id integer yes
Status Meaning
200 Success.
422 The request is not valid. detail lists each problem.

POST /api/v1/orgs/{org_slug}/vps/{uuid}/rescue/enter

Name In Type Required
uuid path string yes
org_slug path string yes

application/json (required)

Field Type Required
iso_volid string yes
Status Meaning
200 Success.
422 The request is not valid. detail lists each problem.

POST /api/v1/orgs/{org_slug}/vps/{uuid}/rescue/exit

Name In Type Required
uuid path string yes
org_slug path string yes
Status Meaning
200 Success.
422 The request is not valid. detail lists each problem.

GET /api/v1/orgs/{org_slug}/vps/{uuid}/rescue/media

Name In Type Required
uuid path string yes
org_slug path string yes
Status Meaning
200 Success.
422 The request is not valid. detail lists each problem.

POST /api/v1/orgs/{org_slug}/vps/{uuid}/reset-password

Name In Type Required
uuid path string yes
org_slug path string yes
Status Meaning
200 Success.
422 The request is not valid. detail lists each problem.

GET /api/v1/orgs/{org_slug}/vps/{uuid}/snapshots

Name In Type Required
uuid path string yes
org_slug path string yes
Status Meaning
200 Success.
422 The request is not valid. detail lists each problem.

POST /api/v1/orgs/{org_slug}/vps/{uuid}/snapshots

Name In Type Required
uuid path string yes
org_slug path string yes

application/json (required)

Field Type Required
name string yes
description string or null no
vmstate boolean no
Status Meaning
200 Success.
422 The request is not valid. detail lists each problem.

DELETE /api/v1/orgs/{org_slug}/vps/{uuid}/snapshots/{snapshot_id}

Name In Type Required
uuid path string yes
snapshot_id path integer yes
org_slug path string yes
Status Meaning
200 Success.
422 The request is not valid. detail lists each problem.

POST /api/v1/orgs/{org_slug}/vps/{uuid}/snapshots/{snapshot_id}/rollback

Name In Type Required
uuid path string yes
snapshot_id path integer yes
org_slug path string yes
Status Meaning
200 Success.
422 The request is not valid. detail lists each problem.

PUT /api/v1/orgs/{org_slug}/vps/{uuid}/ssh-keys

Name In Type Required
uuid path string yes
org_slug path string yes

application/json (required)

Field Type Required
ssh_keys string no
Status Meaning
200 Success.
422 The request is not valid. detail lists each problem.

GET /api/v1/orgs/{org_slug}/vps/{uuid}/status

Name In Type Required
uuid path string yes
org_slug path string yes
Status Meaning
200 Success.
422 The request is not valid. detail lists each problem.